Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface ITreeSelection

All Known Implementing Classes:
  BusinessTree, FTree

public interface ITreeSelection

Interface fuer TreeSelectionEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer TreeSelectionEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addTreeSelectionListener(TreeSelectionListener listener)` Fuegt dem Control den uebergebenen Listener als TreeSelectionListener hinzu.
`String` | `getActionClassForTreeSelection()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.
`void` | `removeTreeSelectionListener(TreeSelectionListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForTreeSelection(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.

Method Detail

### getActionClassForTreeSelection

    public String getActionClassForTreeSelection()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer TreeSelectionEvent.

### setActionClassForTreeSelection

    public void setActionClassForTreeSelection(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeSelectionEvent.

### addTreeSelectionListener

    public void addTreeSelectionListener(TreeSelectionListener listener)

  Fuegt dem Control den uebergebenen Listener als TreeSelectionListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende TreeSelectionListener.

### removeTreeSelectionListener

    public void removeTreeSelectionListener(TreeSelectionListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD